using Reconstruction;
using Reconstruction.Functions;

Functions.WelcomePrint();

while(true)
{
    Console.WriteLine("Please, log in or sign in !\n1 - Log in\n2 - Sing in\n0 - Exit");

    switch (Functions.Choose())
    {
        case 1:
            {
                Authorization.LogIn();
                break;
            }
        case 2:
            {
                Registration.Register();
                break;
            }
    }
    if(Service.IsLoggedIn == true)
    {
        break;
    }
    Console.Clear();
}

while(Service.IsLoggedIn == true)
{
    Console.WriteLine("Choose: !\n1 - Profile\n2 - Userlist\n3 - Available tasks\n4 - Completed tasks history\n5 - Tasks in progress\n0 - Exit");

    switch (Functions.Choose())
    {
        case 1:
            {
                Display.ShowProfileData();
                break;
            }
        case 2:
            {
                Display.ShowUserList();
                break;
            }
        case 3:
            {
                Display.ShowAvailableTask();
                break;
            }
        case 4:
            {
                break;
            }
        case 5:
            {
                Display.ShowUsersTasks();
                break;
            }
    }


    Console.Clear();


}






Console.ReadKey();